header {
    position: fixed;
    display: flex;
    justify-content: space-between;
    width: 100%;
    height: 80px;
    background-color: var(--white-500, #fff);
    position: fixed;
    z-index: 99999;
    box-shadow: -1px 4px 2.2px 0 rgba(8, 26, 40, 0.05);
    padding: 0 24px 0 0;
}

header .left-section {
    display: flex;
    align-items: center;
    justify-content: center;
}

header .mid-section {
    display: flex;
    align-items: center;
    justify-content: center;
}

header .right-section {
    width: 100%;
    max-width: 622px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 0 0 35px;
}

header .left-section .logo-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    gap: 32px;
    margin-left: 8px;
    padding: 0 0 0 84px;
}

header .left-section .logo-wrapper .logo-container {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 12px;
    cursor: pointer;
    text-decoration: none;
    transition: 0.3s scale ease-in-out;
}

header .left-section .logo-wrapper .logo-container:hover {
    scale: 1.05;
}

header .left-section .logo-wrapper .logo-container .logo-image {
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

header .left-section .logo-wrapper .title-header {
    color: var(--blue-700, #0e2b43);
    font-feature-settings:
        "liga" off,
        "clig" off;
    font-family: var(--ff-primary, "Open Sans");
    font-size: var(--fs-paragraph, 16px);
    font-style: normal;
    font-weight: var(--fw-600, 600);
    line-height: var(--lh-24, 24px);
}

header .mid-section .navigation-header {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: row;
    gap: 6px;
}

header .mid-section .navigation-header .link-header a p,
header .mid-section .navigation-header .link-header a span {
    color: var(--blue-700, #0e2b43);
    text-align: center;
    font-feature-settings:
        "liga" off,
        "clig" off;
    font-family: var(--ff-primary, "Open Sans");
    font-size: var(--fs-paragraph, 16px);
    font-style: normal;
    font-weight: var(--fw-600, 600);
    line-height: var(--lh-24, 24px);
    background-image: linear-gradient(currentColor, currentColor);
    background-size: 0% 2px;
    background-repeat: no-repeat;
    background-position: 0 100%;
    transition: background-size 0.3s ease-in-out;
}

header .mid-section .navigation-header .link-header:hover a p,
header .mid-section .navigation-header .link-header:hover a span {
    background-size: 100% 2px;
}

header .mid-section .navigation-header a,
header .mid-section .navigation-header > li > button {
    text-decoration: none;
    color: var(--white-500, #fff);
    padding: 10px 15px;
    background-color: transparent;
    border: none;
    display: block;
    cursor: pointer;
    user-select: none;
}

header .mid-section .navigation-header li.dropdown-header {
    position: relative;
}

header .mid-section .navigation-header li.dropdown-header svg {
    transition: all 0.3s ease-in-out;
}

header .mid-section .navigation-header li.dropdown-header.open svg {
    transform: rotate(180deg);
}

header .mid-section .navigation-header li.dropdown-header .dropdown-header-label {
    display: flex;
    align-items: center;
    gap: 8px;
}

header .mid-section .navigation-header li.dropdown-header .dropdown-header-label span {
    color: var(--blue-700, #0e2b43);
    text-align: center;
    font-feature-settings:
        "liga" off,
        "clig" off;
    font-family: var(--ff-primary, "Open Sans");
    font-size: var(--fs-paragraph, 16px);
    font-style: normal;
    font-weight: var(--fw-600, 600);
    line-height: var(--lh-24, 24px);
    background-image: linear-gradient(currentColor, currentColor);
    background-size: 0% 2px;
    background-repeat: no-repeat;
    background-position: 0 100%;
    transition: background-size 0.3s ease-in-out;
}

header .mid-section .navigation-header li.dropdown-header .dropdown-header-label:hover span {
    background-size: 100% 2px;
}

header .mid-section .navigation-header li.dropdown-header ul.dropdown-menu {
    max-height: 0;
    height: auto;
    display: flex;
    flex-direction: column;
    position: absolute;
    top: calc(100% + 6px);
    left: 0;
    background-color: var(--white-500, #fff);
    min-width: 200px;
    padding: 0;
    margin: 0;
    list-style: none;
    border-radius: 4px;
    opacity: 0;
    z-index: 1000;
    overflow: hidden;
    transition: 0.3s all ease-in-out;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.08);
    border: 1px solid var(--white-700, #ececec);
    border-radius: 6px;
    pointer-events: none;
}

header .mid-section .navigation-header li.dropdown-header.open ul.dropdown-menu {
    opacity: 1;
    pointer-events: auto;
}

header .mid-section .navigation-header li.dropdown-header ul.dropdown-menu li {
    width: 100%;
}

header .mid-section .navigation-header li.dropdown-header ul.dropdown-menu li a {
    color: var(--blue-900, #081a28);
    font-feature-settings:
        "liga" off,
        "clig" off;
    font-family: var(--ff-primary);
    font-size: var(--fs-paragraph, 16px);
    font-style: normal;
    font-weight: var(--fw-400, 400);
    line-height: var(--lh-26, 26px);
    padding: 6px 15px;
    margin: 2px 0;
    transition: 0.3s all ease-in-out;
    border: 2px solid transparent;
}

header .mid-section .navigation-header li.dropdown-header ul.dropdown-menu li a:hover {
    background-color: var(--white-700);
}

header .mid-section .navigation-header li.dropdown-header ul.dropdown-menu li a:focus-visible {
    outline: unset;
    border: 2px solid var(--blue-stroke-500, #1c5686);
}

header .mid-section .navigation-header li.lang-picker-header {
    position: relative;
}

header .mid-section .navigation-header li.lang-picker-header svg {
    transition: all 0.3s ease-in-out;
}

header .mid-section .navigation-header li.lang-picker-header.open svg {
    transform: rotate(180deg);
}

header .mid-section .navigation-header li.lang-picker-header .lang-picker-header-label {
    display: flex;
    align-items: center;
    gap: 8px;
    text-decoration: none;
    padding: 10px 15px;
    background-color: transparent;
    border: none;
    cursor: pointer;
    user-select: none;
}

header .mid-section .navigation-header li.lang-picker-header .lang-picker-header-label span {
    color: var(--green-500);
    text-align: center;
    font-feature-settings:
        "liga" off,
        "clig" off;
    font-family: var(--ff-primary, "Open Sans");
    font-size: var(--fs-paragraph, 16px);
    font-style: normal;
    font-weight: var(--fw-600, 600);
    line-height: var(--lh-24, 24px);
    background-image: linear-gradient(currentColor, currentColor);
    background-size: 0% 2px;
    background-repeat: no-repeat;
    background-position: 0 100%;
    transition: background-size 0.3s ease-in-out;
}

header .mid-section .navigation-header li.lang-picker-header .lang-picker-header-label:hover span {
    background-size: 100% 2px;
}

header .mid-section .navigation-header li.lang-picker-header ul.lang-picker-menu {
    max-height: 0;
    height: auto;
    display: flex;
    flex-direction: column;
    position: absolute;
    top: calc(100% + 6px);
    left: 0;
    background-color: var(--white-500, #fff);
    padding: 0;
    margin: 0;
    list-style: none;
    border-radius: 4px;
    opacity: 0;
    z-index: 1000;
    overflow: hidden;
    transition: 0.3s all ease-in-out;
    box-shadow: 0 8px 20px rgba(0, 0, 0, 0.08);
    border: 1px solid var(--white-700, #ececec);
    border-radius: 6px;
    pointer-events: none;
}

header .mid-section .navigation-header li.lang-picker-header.open ul.lang-picker-menu {
    opacity: 1;
    pointer-events: auto;
}

header .mid-section .navigation-header li.lang-picker-header ul.lang-picker-menu li {
    width: 100%;
}

header .mid-section .navigation-header li.lang-picker-header ul.lang-picker-menu li a {
    padding: 10px 15px;
    transition: 0.3s all ease-in-out;
    color: var(--blue-700, #0e2b43);
    text-decoration: none;
    font-feature-settings:
        "liga" off,
        "clig" off;
    font-family: var(--ff-primary, "Open Sans");
    font-size: var(--fs-paragraph, 16px);
    font-style: normal;
    font-weight: var(--fw-600, 600);
    line-height: var(--lh-24, 24px);
    border: 2px solid transparent;
    display: block;
}

header .mid-section .navigation-header li.lang-picker-header ul.lang-picker-menu li a:hover {
    background-color: var(--white-700);
}

header .mid-section .navigation-header li.lang-picker-header ul.lang-picker-menu li a:focus-visible {
    border: 2px solid var(--blue-stroke-500, #1c5686);
}

header .mid-section .social-icons-dark {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    gap: 10px;
    align-items: center;
    margin: 0 0 0 35px;
}

header .mid-section .social-icons-dark li {
    display: inline-block;
}

header .mid-section .social-icons-dark li a img {
    display: block;
    object-fit: contain;
}

header .mid-section .social-icons-dark a {
    display: flex;
    transition: 0.3s all ease-in-out;
}

header .mid-section .social-icons-dark a:hover {
    scale: 1.1;
}

@media (max-width: 1750px) {
    header .right-section {
        max-width: 400px;
    }
}

@media (max-width: 1500px) {
    header .mid-section {
        justify-content: flex-end;
        margin: 0 0 0 auto;
    }

    header .right-section {
        width: 40px;
        max-width: unset;
    }
}

@media (max-width: 1280px) {
    header {
        height: 64px;
        padding: 0 18px 0 0;
    }

    header .left-section .logo-wrapper {
        margin-left: 0;
        padding: 0 0 0 60px;
    }

    header .left-section .logo-wrapper .logo-container {
        transform: scale(0.7825);
        position: relative;
        left: -15px;
    }

    header .left-section .logo-wrapper .title-header {
        display: none;
    }

    header .mid-section .navigation-header {
        display: none;
    }

    header .right-section {
        margin: 0 0 0 18px;
    }
}

@media (max-width: 600px) {
    header .mid-section .social-icons-dark {
        margin: 0;
    }
}

@media (max-width: 500px) {
    header {
        padding: 0 10px 0 0;
    }

    header .left-section {
        position: relative;
    }

    header .left-section .logo-wrapper {
        position: absolute;
        left: 100%;
    }

    header .mid-section .social-icons-dark {
        display: none;
    }

    header .right-section {
        margin: 0;
    }
}
